SystemOrganization addCategory: #VideoGameList!
SystemOrganization addCategory: #'VideoGameList-GUI'!

Announcement subclass: #VGLListChangeAnnouncement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VideoGameList'!

VGLListChangeAnnouncement subclass: #VGLAddedVideoGame
	instanceVariableNames: 'newVideoGame'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VideoGameList'!

!VGLAddedVideoGame class methodsFor: 'instance creation' stamp: 'MiguelCampusano 2/28/2014 20:56'!
newVideoGame: aVideoGame

	^self new
		newVideoGame: aVideoGame.
		! !

!VGLAddedVideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/28/2014 20:56'!
newVideoGame
	^ newVideoGame! !

!VGLAddedVideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/28/2014 20:56'!
newVideoGame: anObject
	newVideoGame := anObject! !

ComposableModel subclass: #VGLButtonsContent
	instanceVariableNames: 'buttons listButton addButton'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VideoGameList-GUI'!

!VGLButtonsContent class methodsFor: 'specs' stamp: 'MiguelCampusano 2/24/2014 15:53'!
defaultSpec
        ^ SpecRowLayout new
                       add: #listButton;
				add: #addButton;
                        yourself.! !

!VGLButtonsContent methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 15:00'!
addButton
	^ addButton! !

!VGLButtonsContent methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 14:41'!
buttons
	^ buttons! !

!VGLButtonsContent methodsFor: 'initialization' stamp: 'MiguelCampusano 2/24/2014 20:29'!
initializePresenter

	addButton action: [
		VGLGameWindow new openWithSpec.
	]! !

!VGLButtonsContent methodsFor: 'initialization' stamp: 'MiguelCampusano 2/28/2014 21:08'!
initializeWidgets 
	self instantiateModels: #(
		listButton  ButtonModel
		addButton  ButtonModel 
	).
	
	listButton label: 'RELOAD'.
	addButton label: 'ADD'.! !

!VGLButtonsContent methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 15:00'!
listButton
	^ listButton! !

ComposableModel subclass: #VGLGameWindow
	instanceVariableNames: 'gotItCheck completedCheck wantToPlayCheck wantToBuyCheck nameText platformLabel platformSelect videogame saveButton'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VideoGameList-GUI'!

!VGLGameWindow class methodsFor: 'specs' stamp: 'MiguelCampusano 3/1/2014 22:06'!
defaultSpec
        ^ SpecLayout composed
			"Adding Main Column"
			newColumn: [:mainColumn|  
				mainColumn
					"Adding name row"
					newRow: [ :nameRow|
						nameRow add: #nameText.
					 ].
					
				mainColumn
					"Adding got it row"
					newRow: [ :gotItRow|
						gotItRow add: #gotItCheck
					].
				
				mainColumn
					"Adding completed row"
					newRow: [ :completedRow|
						completedRow add: #completedCheck
					].
				
				mainColumn
					"Adding wantToPlay row"
					newRow: [ :wantToPlayRow|
						wantToPlayRow add: #wantToPlayCheck
					].
				
				mainColumn
					"Adding wantToBuy row"
					newRow: [ :wantToBuyRow|
						wantToBuyRow add: #wantToBuyCheck
					].
				
				mainColumn
					"Adding platform row"
					newRow: [ :platformRow|
						platformRow add: #platformLabel; add: #platformSelect
					].
				
				mainColumn 
					"Adding save row"
					newRow: [ :saveRow|
						saveRow add: #saveButton
					].
			];
			yourself.! !

!VGLGameWindow methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 18:54'!
completedCheck
	^ completedCheck! !

!VGLGameWindow methodsFor: 'creating' stamp: 'MiguelCampusano 3/1/2014 23:05'!
createVideoGame

	VideoGame 
		saveGame: (nameText getText) 
		gotIt: (gotItCheck state) 
		completed:  (completedCheck state) 
		wantToBuy: (wantToBuyCheck state) 
		wantToPlay: (wantToPlayCheck state) 
		platform: (platformSelect platformList selectedItem)! !

!VGLGameWindow methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 18:54'!
gotItCheck
	^ gotItCheck! !

!VGLGameWindow methodsFor: 'initialization' stamp: 'MiguelCampusano 2/28/2014 21:05'!
initializePresenter

	saveButton action: [
		videogame ifNil: [self createVideoGame  ] ifNotNil: [self updateVideoGame].
	]! !

!VGLGameWindow methodsFor: 'initialization' stamp: 'MiguelCampusano 3/1/2014 22:04'!
initializeWidgets 
	self instantiateModels:  {   
		#completedCheck -> #CheckBoxModel.
		#gotItCheck -> #CheckBoxModel.
		#wantToBuyCheck -> #CheckBoxModel.
		#wantToPlayCheck -> #CheckBoxModel.
		
		#nameText -> #TextInputFieldModel.
		#saveButton -> #ButtonModel.
		
		#platformLabel -> #LabelModel.
		#platformSelect -> #VGLPlatformSelector.
	}.
	
	nameText ghostText: 'Name of your Videogame'.
	nameText autoAccept: true.
	
	saveButton label: 'Save'.
	
	completedCheck label: 'completed'.
	gotItCheck label: 'got it'.
	wantToBuyCheck label: 'want to buy'.
	wantToPlayCheck  label:  'want to play'.
	platformLabel text: 'platform'.
	! !

!VGLGameWindow methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 18:54'!
nameText
	^ nameText! !

!VGLGameWindow methodsFor: 'accessing' stamp: 'MiguelCampusano 3/1/2014 22:07'!
platformLabel
	^ platformLabel! !

!VGLGameWindow methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 18:54'!
platformSelect
	^ platformSelect! !

!VGLGameWindow methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 19:21'!
saveButton
	^ saveButton! !

!VGLGameWindow methodsFor: 'setup' stamp: 'MiguelCampusano 3/1/2014 21:59'!
setupDefaultValues
	
	videogame ifNotNil: [ 
		nameText text: videogame gameTitle.
		gotItCheck state: videogame gotIt.
		completedCheck state: videogame completed.
		wantToBuyCheck state: videogame wantToBuy.
		wantToPlayCheck state: videogame wantToPlay.
		platformSelect platformList setSelectedItem: videogame platform label.
	].! !

!VGLGameWindow methodsFor: 'protocol' stamp: 'MiguelCampusano 2/24/2014 21:53'!
title

	 ^ videogame 
		ifNil: [
			'Add a new videogame' 
		]
		ifNotNil:[
			'Modify ', videogame gameTitle
		]! !

!VGLGameWindow methodsFor: 'creating' stamp: 'MiguelCampusano 3/1/2014 21:48'!
updateVideoGame
	videogame 
		gameTitle: (nameText getText);
		gotIt: (gotItCheck state);
		completed:  (completedCheck state);
		wantToBuy: (wantToBuyCheck state);
		wantToPlay: (wantToPlayCheck state);
		platform: (platformSelect platformList selectedItem).! !

!VGLGameWindow methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 19:00'!
videogame
	^ videogame! !

!VGLGameWindow methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 19:00'!
videogame: aVideoGame
	videogame := aVideoGame.! !

!VGLGameWindow methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 18:54'!
wantToBuyCheck
	^ wantToBuyCheck! !

!VGLGameWindow methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 18:54'!
wantToPlayCheck
	^ wantToPlayCheck! !

ComposableModel subclass: #VGLListMainContent
	instanceVariableNames: 'options platformSelector gameList wantToPlayRadio wantToBuyRadio gotItRadio platformLabel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VideoGameList-GUI'!

!VGLListMainContent class methodsFor: 'specs' stamp: 'MiguelCampusano 3/1/2014 22:36'!
defaultSpec
        ^ SpecLayout composed
			"Adding Main Column"
			newColumn: [:mainColumn|
				mainColumn
					"Adding radios row"
					newRow:[:radioRow|
						radioRow add: #gotItRadio; add: #wantToBuyRadio; add: #wantToPlayRadio.
					] height: 20;
				
					"Adding selector row"
					newRow:[:selectorRow|
						selectorRow add: #platformLabel; add: #platformSelector.
					]height: 20;
				
					"Adding list row"
					newRow:[:listRow|
						listRow add: #gameList.
					].
			];
			yourself.
    ! !

!VGLListMainContent methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 14:42'!
gameList
	^ gameList! !

!VGLListMainContent methodsFor: 'accessing' stamp: 'MiguelCampusano 3/2/2014 23:59'!
getSelectedPlatform

	^platformSelector getSelectedPlatform.! !

!VGLListMainContent methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 21:21'!
gotItRadio
	^ gotItRadio! !

!VGLListMainContent methodsFor: 'initialization' stamp: 'MiguelCampusano 3/1/2014 22:34'!
initializePresenter

	gameList whenSelectedItemChanged: [:nowVideogame :beforeVideogame|
		|videogame|
		videogame := nowVideogame ifNil:[beforeVideogame] ifNotNil:[nowVideogame].
		(VGLGameWindow new) videogame: videogame; setupDefaultValues; openWithSpec.
	].

	platformSelector platformList whenSelectedItemChanged: [ 
		self setupGameList.
	].

	self setupActionRadioButtons
	! !

!VGLListMainContent methodsFor: 'initialization' stamp: 'MiguelCampusano 3/1/2014 22:24'!
initializeWidgets 
	self instantiateModels: #( 
		gameList	ListComposableModel
		gotItRadio 	RadioButtonModel 
		wantToBuyRadio 	RadioButtonModel
		wantToPlayRadio 	RadioButtonModel
		platformSelector	VGLPlatformSelector
		platformLabel	LabelModel
	).
      
	self setupFilterRadioButtons.
	self setupGameList.
	
	platformLabel text: 'Filter by:'
	
	"announcer when change game list"
	"VGLCore announcer on: VGLListChangeAnnouncement send: #setupGameList to: self."
	
	! !

!VGLListMainContent methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 14:42'!
options
	^ options! !

!VGLListMainContent methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 14:42'!
options: anObject
	options := anObject! !

!VGLListMainContent methodsFor: 'accessing' stamp: 'MiguelCampusano 3/1/2014 22:22'!
platformLabel
	^ platformLabel! !

!VGLListMainContent methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 14:42'!
platformSelector
	^ platformSelector! !

!VGLListMainContent methodsFor: 'setup' stamp: 'MiguelCampusano 3/1/2014 23:24'!
setupActionRadioButtons

	gotItRadio whenActivatedDo: [ 
		self setupGameList.
	].
	gotItRadio whenDesactivatedDo: [  
		self setupGameList.
	]. 

	wantToPlayRadio whenActivatedDo: [ 
		self setupGameList.
	].
	wantToPlayRadio whenDesactivatedDo: [  
		self setupGameList.
	]. 

	wantToBuyRadio whenActivatedDo: [ 
		self setupGameList.
	].
	wantToBuyRadio whenDesactivatedDo: [  
		self setupGameList.
	]. ! !

!VGLListMainContent methodsFor: 'setup' stamp: 'MiguelCampusano 2/24/2014 21:27'!
setupFilterRadioButtons

	gotItRadio label: 'I got'.
	wantToBuyRadio label: 'to buy'.
	wantToPlayRadio label: 'to play'.
	
	RadioButtonGroup new
                addRadioButton: gotItRadio;
                addRadioButton: wantToBuyRadio;
                addRadioButton: wantToPlayRadio;
                default: gotItRadio.! !

!VGLListMainContent methodsFor: 'setup' stamp: 'MiguelCampusano 3/3/2014 00:00'!
setupGameList

	|radioSelected|
	
	radioSelected := false.

	"improve this approach "
	self gotItRadio state ifTrue: [ 
		self setupGameList:  (VGLCore getGotGamesOfPlatform: self getSelectedPlatform). 
		radioSelected := true.
	]. 
	
	self wantToBuyRadio state ifTrue: [ 
		self setupGameList:  (VGLCore getWantToBuyGamesOfPlatform: self getSelectedPlatform). 
		radioSelected := true.
	]. 

	self wantToPlayRadio state ifTrue: [ 
		self setupGameList:  (VGLCore getWantToPlayGamesOfPlatform: self getSelectedPlatform). 
		radioSelected := true.
	]. 
	
	radioSelected ifFalse:[ self setupGameList: (VGLCore gamesByPlatform: self getSelectedPlatform)].
	
! !

!VGLListMainContent methodsFor: 'setup' stamp: 'MiguelCampusano 3/1/2014 22:51'!
setupGameList: aVideoGameList

	gameList items:  aVideoGameList.
	gameList displayBlock: [ :game|
		game viewString.	
	]! !

!VGLListMainContent methodsFor: 'setup' stamp: 'MiguelCampusano 2/24/2014 20:45'!
updateList
	self setupGameList
! !

!VGLListMainContent methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 21:21'!
wantToBuyRadio
	^ wantToBuyRadio! !

!VGLListMainContent methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 21:21'!
wantToPlayRadio
	^ wantToPlayRadio! !

ComposableModel subclass: #VGLMainWindow
	instanceVariableNames: 'buttonsContent mainContent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VideoGameList-GUI'!

!VGLMainWindow class methodsFor: 'specs' stamp: 'MiguelCampusano 2/24/2014 18:18'!
defaultSpec
        ^ SpecLayout composed
			add: #buttonsContent origin: 0@0 corner: 1@0.2;
			add: #mainContent origin: 0@0.2 corner: 1@1;
			yourself.! !

!VGLMainWindow methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 14:53'!
buttonsContent
	^ buttonsContent! !

!VGLMainWindow methodsFor: 'initialization' stamp: 'MiguelCampusano 2/24/2014 20:45'!
initializePresenter

	buttonsContent listButton action: [
		mainContent updateList.
	]! !

!VGLMainWindow methodsFor: 'initialization' stamp: 'MiguelCampusano 2/24/2014 14:49'!
initializeWidgets 
	self instantiateModels:  {   
		#buttonsContent  -> #VGLButtonsContent.
		#mainContent  -> #VGLListMainContent 
	}! !

!VGLMainWindow methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 14:53'!
mainContent
	^ mainContent! !

!VGLMainWindow methodsFor: 'protocol' stamp: 'MiguelCampusano 2/24/2014 14:31'!
title
	^'Video Game List'! !

ComposableModel subclass: #VGLPlatformSelector
	instanceVariableNames: 'platformList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VideoGameList-GUI'!

!VGLPlatformSelector class methodsFor: 'specs' stamp: 'MiguelCampusano 2/28/2014 22:26'!
defaultSpec
        ^ SpecLayout composed
                       add: #platformList;
                        yourself.! !

!VGLPlatformSelector methodsFor: 'accessing' stamp: 'MiguelCampusano 3/2/2014 23:59'!
getSelectedPlatform

	^ self platformList selectedItem.! !

!VGLPlatformSelector methodsFor: 'initialization' stamp: 'MiguelCampusano 3/1/2014 21:32'!
initializeWidgets 
	self instantiateModels: #( 
		platformList 	DropListModel
	).

      
	self setupPlatformList.! !

!VGLPlatformSelector methodsFor: 'accessing' stamp: 'MiguelCampusano 2/28/2014 22:17'!
platformList
	^ platformList! !

!VGLPlatformSelector methodsFor: 'setup' stamp: 'MiguelCampusano 3/1/2014 21:32'!
setupPlatformList

	platformList items: VGLCore platforms.
! !

Object subclass: #VGLCore
	instanceVariableNames: ''
	classVariableNames: 'Games Platforms VGLAnnouncer'
	poolDictionaries: ''
	category: 'VideoGameList'!

!VGLCore class methodsFor: 'adding' stamp: 'MiguelCampusano 2/28/2014 20:59'!
addGame: aVideoGame

	self games add: aVideoGame.
	
	self announceNewGame: aVideoGame.! !

!VGLCore class methodsFor: 'adding' stamp: 'MiguelCampusano 3/1/2014 21:15'!
addPlatform: aPlatform.

	self platforms add: aPlatform.
	! !

!VGLCore class methodsFor: 'announcement' stamp: 'MiguelCampusano 2/28/2014 20:03'!
addedElementList: aVideoGame! !

!VGLCore class methodsFor: 'announcement' stamp: 'MiguelCampusano 2/28/2014 21:01'!
announceNewGame: aVideoGame

	self announcer announce: (VGLAddedVideoGame newVideoGame: aVideoGame)! !

!VGLCore class methodsFor: 'accessing' stamp: 'MiguelCampusano 2/28/2014 18:28'!
announcer
	^ VGLAnnouncer ifNil:  [ VGLAnnouncer := Announcer new]! !

!VGLCore class methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 13:25'!
games
	^ Games ifNil:  [ Games := OrderedCollection new]! !

!VGLCore class methodsFor: 'accessing' stamp: 'MiguelCampusano 3/1/2014 23:07'!
gamesByPlatform: aPlatform

	^ self games select:[:videoGame| videoGame platform == aPlatform].! !

!VGLCore class methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 21:43'!
getGotGames
	
	 ^self games select: [:aGame| aGame gotIt]! !

!VGLCore class methodsFor: 'accessing' stamp: 'MiguelCampusano 3/1/2014 22:45'!
getGotGamesOfPlatform: aPlatform
	
	 ^self getGotGames select: [:aGame| aGame platform == aPlatform]! !

!VGLCore class methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 21:44'!
getWantToBuyGames
	
	 ^self games select: [:aGame| aGame wantToBuy]! !

!VGLCore class methodsFor: 'accessing' stamp: 'MiguelCampusano 3/1/2014 22:45'!
getWantToBuyGamesOfPlatform: aPlatform
	
	 ^self getWantToBuyGames select: [:aGame| aGame platform == aPlatform]! !

!VGLCore class methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 21:44'!
getWantToPlayGames
	
	 ^self games select: [:aGame| aGame wantToPlay]! !

!VGLCore class methodsFor: 'accessing' stamp: 'MiguelCampusano 3/1/2014 22:46'!
getWantToPlayGamesOfPlatform: aPlatform
	
	 ^self getWantToPlayGames select: [:aGame| aGame platform == aPlatform]! !

!VGLCore class methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 13:25'!
platforms
	^ Platforms ifNil:  [ Platforms := OrderedCollection new]
	! !

!VGLCore class methodsFor: 'reseting' stamp: 'MiguelCampusano 2/24/2014 19:57'!
resetAll

	self resetGames.
	self resetPlatforms.! !

!VGLCore class methodsFor: 'reseting' stamp: 'MiguelCampusano 2/24/2014 19:58'!
resetGames
	self games removeAll! !

!VGLCore class methodsFor: 'reseting' stamp: 'MiguelCampusano 2/24/2014 19:58'!
resetPlatforms
	self platforms removeAll! !

Object subclass: #VideoGame
	instanceVariableNames: 'gameTitle gotIt completed wantToPlay wantToBuy platform'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VideoGameList'!

!VideoGame class methodsFor: 'instance creation' stamp: 'MiguelCampusano 3/1/2014 23:04'!
game: aString gotIt: gotIt completed:  completed wantToBuy: wantToBuy wantToPlay: wantToPlay platform: aVideoGamePlatform
	|game|
	game := self new
		gameTitle: aString;
		gotIt: gotIt;
		completed: completed;
		wantToBuy: wantToBuy;
		wantToPlay: wantToPlay;
		platform: aVideoGamePlatform ;
		yourself.
	^game.! !

!VideoGame class methodsFor: 'instance creation' stamp: 'MiguelCampusano 2/24/2014 19:47'!
saveGame: aString gotIt: gotIt completed:  completed wantToBuy: wantToBuy wantToPlay: wantToPlay 
	
	^self saveGame: aString gotIt: gotIt completed:  completed wantToBuy: wantToBuy wantToPlay: wantToPlay platform: nil.
		
! !

!VideoGame class methodsFor: 'instance creation' stamp: 'MiguelCampusano 3/1/2014 23:04'!
saveGame: aString gotIt: gotIt completed:  completed wantToBuy: wantToBuy wantToPlay: wantToPlay platform: aVideoGamePlatform
	|game|
	
	game := self game: aString gotIt: gotIt completed:  completed wantToBuy: wantToBuy wantToPlay: wantToPlay platform: aVideoGamePlatform.
		
	VGLCore addGame: game.
	^game.! !

!VideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/23/2014 23:52'!
completed
	^ completed! !

!VideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/23/2014 23:53'!
completed: aBoolean
	completed := aBoolean! !

!VideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/23/2014 23:53'!
gameTitle
	^ gameTitle! !

!VideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/23/2014 23:53'!
gameTitle: aString
	gameTitle := aString! !

!VideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/23/2014 23:52'!
gotIt
	^ gotIt! !

!VideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/23/2014 23:53'!
gotIt: aBoolean
	gotIt := aBoolean! !

!VideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 01:01'!
platform
	^ platform! !

!VideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 3/1/2014 21:48'!
platform: aPlatform
	platform := aPlatform! !

!VideoGame methodsFor: 'printing' stamp: 'MiguelCampusano 2/24/2014 20:03'!
viewString
	^ gameTitle! !

!VideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/23/2014 23:52'!
wantToBuy
	^ wantToBuy! !

!VideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/23/2014 23:54'!
wantToBuy: aBoolean
	wantToBuy := aBoolean! !

!VideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/23/2014 23:52'!
wantToPlay
	^ wantToPlay! !

!VideoGame methodsFor: 'accessing' stamp: 'MiguelCampusano 2/23/2014 23:54'!
wantToPlay: aBoolean
	wantToPlay := aBoolean! !

Object subclass: #VideoGamePlatform
	instanceVariableNames: 'platformName platformShortName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'VideoGameList'!

!VideoGamePlatform class methodsFor: 'instance creation' stamp: 'MiguelCampusano 3/1/2014 21:27'!
platformName: aName shortName: aShortName
	 ^ self new
		platformName: aName;
		platformShortName: aShortName;
		yourself.! !

!VideoGamePlatform class methodsFor: 'instance creation' stamp: 'MiguelCampusano 3/1/2014 21:23'!
savePlatformName: aName shortName: aShortName

	|platform|
	
	platform := self platformName: aName shortName: aShortName.
	VGLCore addPlatform: platform.
	
	^ platform.! !

!VideoGamePlatform methodsFor: 'accessing' stamp: 'MiguelCampusano 3/1/2014 21:35'!
label

	^platformShortName! !

!VideoGamePlatform methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 01:01'!
platformName
	^ platformName! !

!VideoGamePlatform methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 01:01'!
platformName: aString
	platformName := aString! !

!VideoGamePlatform methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 13:30'!
platformShortName
	^ platformShortName! !

!VideoGamePlatform methodsFor: 'accessing' stamp: 'MiguelCampusano 2/24/2014 13:31'!
platformShortName: aString
	platformShortName := aString! !
